cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Cannot register SVM with NSX Manager

Orion.log excerpt when I try to register.  Is there a problem with my EPO server or NSX manager?

Thanks

2020-11-26 13:30:08,147 ERROR [http-nio-8443-exec-23] action.MoveServiceNsxRegistrationAction - ####Registering SVA with NSX server
2020-11-26 13:30:08,162 ERROR [http-nio-8443-exec-23] ssl.SSLManager - TlsFatalAlert error occurred during ssl handshaking, Certificate is not validated. Exception= org.bouncycastle.tls.TlsFatalAlert: bad_certificate(42)
2020-11-26 13:30:08,366 ERROR [http-nio-8443-exec-23] action.MoveServiceNsxRegistrationAction - Error occurred while registering with nsx server
java.lang.IllegalArgumentException: The service manager instance provided is not valid
2020-11-26 13:30:08,366 ERROR [http-nio-8443-exec-23] action.MoveServiceNsxRegistrationAction - Updating move registration details and status Failed
java.lang.NullPointerException

4 Replies
vivs
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 2 of 5

Re: Cannot register SVM with NSX Manager

Hello @GlenLeGrow 

Thanks for your post.

Below error pointing me towards an issue with the TLS

2020-11-26 13:30:08,162 ERROR [http-nio-8443-exec-23] ssl.SSLManager - TlsFatalAlert error occurred during ssl handshaking, Certificate is not validated. Exception= org.bouncycastle.tls.TlsFatalAlert: bad_certificate(42)

Could you please let me know what changes made like epo upgrade, MOVE upgrade etc. etc

Was my reply helpful?
If this information was helpful in any way or answered your question, will you please select Accept as Solution in my reply and together we can help other members?

 

Re: Cannot register SVM with NSX Manager

This is a brand new install Mcafee EPO 5.10.0 Update 9.  Move Appliance is also the latest (4.9.0.149)

Our VCenter is version 6.5.0.32000

Our NSX Manager is 6.4.5 Build 13282012

 

Re: Cannot register SVM with NSX Manager

 

Our VCenter is now upgraded to 6.7.0.44100

Our NSX Manager is upgraded to 6.4.8 Build 16724220

Mcafee and Move Appliance are still the same.

Same Error occurs.

Any way to test Mcafee EPO to rule it out as a cause?

Thanks

jsam
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 5 of 5

Re: Cannot register SVM with NSX Manager

Assume this is long resolved, but if not, note KB : Communication between ePolicy Orchestrator and the MOVE Service Manager in NSX breaks after an upgrade Technical Articles ID: KB89464

Item 6 = Update the MOVE Service Manager instance details and replace the old ePO thumbprint with the new ePO thumbprint from the NSX Service Manager.

You Deserve an Award
Don't forget, when your helpful posts earn a kudos or get accepted as a solution you can unlock perks and badges. Those aren't the only badges, either. How many can you collect? Click here to learn more.

Community Help Hub

    New to the forums or need help finding your way around the forums? There's a whole hub of community resources to help you.

  • Find Forum FAQs
  • Learn How to Earn Badges
  • Ask for Help
Go to Community Help

Join the Community

    Thousands of customers use the McAfee Community for peer-to-peer and expert product support. Enjoy these benefits with a free membership:

  • Get helpful solutions from McAfee experts.
  • Stay connected to product conversations that matter to you.
  • Participate in product groups led by McAfee employees.
Join the Community
Join the Community